<figure class="c-figure">
    <div class="c-figure__inner">
        <!--
            @int:
            aspect ratio of images 16:9
        -->
        {{#if lightbox}}
            <!--
                todo: lightbox JS
                @int:
                lightbox image: set image max-width to 1280px
            -->
        <a
            href="{{imgL}}"
            class="c-figure__link js-lightbox-trigger"
            title="image title"
            data-description="{{caption}}">
        {{/if}}

        {{#if imageSmall}}
            <picture>
                <!--[if IE 9]>
                <video style="display: none;"><![endif]-->
                <!--
                    @int:
                    set image max-width to 320px
                -->
                <source srcset="{{imgS}}">
                <!--[if IE 9]></video><![endif]-->
                <!--
                    @int:
                    set image max-width to 320px
                -->
                <img
                    src="{{imgS}}"
                    alt="image alt text"
                    title="image title">
            </picture>
        {{else}}
            <picture>
                <!--[if IE 9]>
                <video style="display: none;"><![endif]-->
                <!--
                    @int:
                    set image max-width to 950px
                -->
                <source media="(min-width: 700px)" srcset="{{imgL}}">
                <!--
                    @int:
                    set image max-width to 640px
                -->
                <source media="(min-width: 350px)" srcset="{{imgM}}">
                <!--
                    @int:
                    set image max-width to 320px
                -->
                <source srcset="{{imgS}}">
                <!--[if IE 9]></video><![endif]-->
                <!--
                    @int:
                    set image max-width to 950px
                -->
                <img
                    src="{{imgL}}"
                    alt="image alt text"
                    title="image title">
            </picture>
        {{/if}}

        <div class="c-figure__copyright u-typo:s">{{copyright}}</div>

        {{#if lightbox}}
        </a>
        {{/if}}
    </div>

    {{#if caption }}
        <figcaption class="c-figure__figcaption u-typo:s">{{caption}}</figcaption>
    {{/if }}
</figure>
